Skip to main content
GET
Resume Connect process

Authorizations

JSESSIONID
string
cookie
required

Query Parameters

code
string

Optional authorization code, passed down into process context as "oauth2Code". If this field is specified, then "error" must be omitted.

error
string

Optional authorization error, passed down into process context as "oauth2Error". If this field is specified, then "code" must be omitted.

state
string

The ID of the Process execution to resume.

Response

Process finished

The API returns information about parameters that are required by the next process step (only if lastStep is false). Optionally information from the previous is returned in 'output'. For AuthenticationStepAction actions, it returns authenticated context information (userId, runtimeId, userAuthenticated). For AdminUser authentication actions the API also returns adminUser.

displayMessage
string

Optional display message

Example:

"Enter User Inputs"

parameters
object

User input parameters

processId
string

The process identifier that links multiple API calls together. If a process halts because it requires additional data, then it assigns a process ID that can be referenced in subsequent calls in order to continue and complete the entire process.

Example:

"640b4b3a-dbaf-4b73-abfb-979475aee0bb"

processName
string

The name of the process which is being executed. This value is intended to be consumed by User Interfaces which may not always be aware of the current process being executed, owing to factors such as a third-party redirect in the middle of the process destroying the UI's context.

Example:

"socialFederation.associateSocialMedia_v1.0"

stepName
string

The step name

Example:

"PasswordPrompt"

lastStep
boolean
output
object

Information returned from previous step.

runtimeId
integer<int64>

The unique ID of an entity.

Example:

1

userId
integer<int64>

The unique ID of an entity.

Example:

1

userAuthenticated
boolean

For AuthenticationStepAction only.